## python-defaults 2.7.3-4%2Bdeb7u1

=== debian/control ===
Source: python-defaults
Section: python
Priority: optional
Maintainer: Matthias Klose <doko@debian.org>
Uploaders: Scott Kitterman <scott@kitterman.com>, Piotr Ożarowski <piotr@debian.org>
Build-Depends: debhelper (>= 8~)
Build-Depends-Indep: libhtml-tree-perl, debiandoc-sgml, python-docutils (>= 0.4-3)
Standards-Version: 3.9.3
Homepage: http://www.python.org/
Vcs-Bzr: http://alioth.debian.org/anonscm/bzr/pkg-python/python-defaults-debian
Vcs-Browser: http://alioth.debian.org/scm/loggerhead/pkg-python/python-defaults-debian/files

Package: python
Architecture: all
Priority: standard
Depends: ${misc:Depends}, python2.7 (>= 2.7.3-1~), python-minimal (= ${binary:Version})
Suggests: python-doc (= ${binary:Version}), python-tk (= ${binary:Version})
Conflicts: python-central (<< 0.5.5)
Breaks: python-csv (<< 1.0-4), python-bz2 (<< 1.1-8), python-email (<< 2.5.5-3), update-manager-core (<< 0.200.5-2)
Replaces: python-dev (<< 2.6.5-2)
Provides: python-email, python-ctypes, python-wsgiref, python-importlib, python-profiler
Description: interactive high-level object-oriented language (default version)
 Python, the high-level, interactive object oriented language,
 includes an extensive class library with lots of goodies for
 network programming, system administration, sounds and graphics.
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v2.7).

Package: python-minimal
Architecture: all
Priority: standard
Depends: ${misc:Depends}, python2.7-minimal (>= 2.7.3-1~), dpkg (>= 1.13.20)
Recommends: python
Conflicts: python-central (<< 0.5.5)
Breaks: python (<= 2.7.3-1~), python-dev (<< 2.6), python-dbg (<< 2.6), python-all (<< 2.6), python-all-dev (<< 2.6), python-all-dbg (<< 2.6), python-examples (<< 2.6), idle (<< 2.6), python2.5-minimal (<< 2.5.5-7), python2.6-minimal (<< 2.6.5~rc2-2), python3.1-minimal (<< 3.1.2~rc1-2), python-support (<< 1.0.10ubuntu2)
Replaces: python (<= 2.7.3-1~)
Description: minimal subset of the Python language (default version)
 This package contains the interpreter and some essential modules.  It's used
 in the boot process for some basic tasks.
 See /usr/share/doc/python2.7-minimal/README.Debian for a list of the modules
 contained in this package.

Package: python-examples
Architecture: all
Depends: ${misc:Depends}, python (= ${binary:Version}), python2.7-examples (>= 2.7.3-1~)
Description: examples for the Python language (default version)
 Examples, Demos and Tools for Python. These are files included in
 the upstream Python distribution.
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v2.7).

Package: python-dev
Architecture: all
Depends: ${misc:Depends}, python (= ${binary:Version}), python2.7-dev (>= 2.7.3-1~)
Description: header files and a static library for Python (default)
 Header files, a static library and development tools for building
 Python modules, extending the Python interpreter or embedding Python
 in applications.
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v2.7).

Package: idle
Architecture: all
Depends: ${misc:Depends}, python (= ${binary:Version}), python-tk (>= 2.4.3-3), idle-python2.7
Enhances: python
Replaces: python (<< 2.7.3-1~)
Breaks: python (<< 2.7.3-1~)
Description: IDE for Python using Tkinter (default version)
 IDLE is an Integrated Development Environment for Python.
 IDLE is written using Tkinter and therefore quite platform-independent.
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v2.7) of IDLE.

Package: python-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, python2.7-doc (>= 2.7.3-1~)
Suggests: python-examples, python (= ${binary:Version})
Breaks: python (<< 2.3.5)
Replaces: python (<< 2.3.5)
Description: documentation for the high-level object-oriented language Python
 This is the official set of documentation for the interactive high-level
 object-oriented language Python (v2.7). All documents are provided
 in HTML format, some in info format. The package consists of nine documents:
 .
   * Tutorial
   * Python Library Reference
   * Macintosh Module Reference
   * Python Language Reference
   * Extending and Embedding Python
   * Python/C API Reference
   * Installing Python Modules
   * Documenting Python
   * Distributing Python Modules
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v2.7).

Package: python-dbg
Architecture: all
Section: debug
Priority: extra
Depends: ${misc:Depends}, python (= ${binary:Version}), python2.7-dbg (>= 2.7.3-1~)
Provides: python-gdbm-dbg, python-tk-dbg
Description: debug build of the Python Interpreter (version 2.7)
 Python interpreter configured with --pydebug. Dynamically loaded modules are
 searched in /usr/lib/python2.7/lib-dynload/debug first.

Package: python-all
Architecture: all
Depends: ${misc:Depends}, python (= ${binary:Version}), python2.6 (>= 2.6.7-3), python2.7 (>= 2.7.2-3)
Description: package depending on all supported Python runtime versions
 The package currently depends on python2.6 and python2.7, in the future,
 dependencies on jython (Python for a JVM) and ironpython (Python for Mono)
 may be added.
 .
 This package is used as a build dependency for other packages to
 avoid hardcoded dependencies on specific Python runtimes.

Package: python-all-dev
Architecture: all
Depends: ${misc:Depends}, python (= ${binary:Version}), python-all (= ${binary:Version}), python-dev (= ${binary:Version}), python2.6-dev (>= 2.6.5-2), python2.7-dev (>= 2.7-7)
Description: package depending on all supported Python development packages
 The package currently depends on python2.6-dev and python2.7-dev, in the
 future, dependencies on jython (Python for a JVM) and ironpython (Python
 for Mono) may be added.
 .
 This package is used as a build dependency for other packages to
 avoid hardcoded dependencies on specific Python development packages.

Package: python-all-dbg
Architecture: all
Section: debug
Priority: extra
Depends: ${misc:Depends}, python (= ${binary:Version}), python-all (= ${binary:Version}), python-dbg (= ${binary:Version}), python2.6-dbg (>= 2.6.5-2), python2.7-dbg (>= 2.7-7)
Description: package depending on all supported Python debugging packages
 The package currently depends on python2.6-dbg and python2.7-dbg, in the
 future, dependencies on jython (Python for a JVM) and ironpython (Python
 for Mono) may be added.
 .
 This package is used as a build dependency for other packages to
 avoid hardcoded dependencies on specific Python development packages.

## python-defaults 2.7.3-4+deb7u1

=== Makefile ===
#!/usr/bin/make -f
INSTALL ?= install
PREFIX ?= /usr/local
MANPAGES ?= dh_python2.1 pycompile.1 pyclean.1

clean:
	make -C tests clean
	make -C pydist clean
	find . -name '*.py[co]' -delete
	rm -f .coverage $(MANPAGES)

install-dev:
	$(INSTALL) -m 755 -d $(DESTDIR)$(PREFIX)/bin \
		$(DESTDIR)$(PREFIX)/share/python/runtime.d \
		$(DESTDIR)$(PREFIX)/share/debhelper/autoscripts/ \
		$(DESTDIR)$(PREFIX)/share/perl5/Debian/Debhelper/Sequence/
	$(INSTALL) -m 755 runtime.d/* $(DESTDIR)$(PREFIX)/share/python/runtime.d/
	$(INSTALL) -m 644 autoscripts/* $(DESTDIR)$(PREFIX)/share/debhelper/autoscripts/
	$(INSTALL) -m 755 dh_python2 $(DESTDIR)$(PREFIX)/bin/
	$(INSTALL) -m 644 python2.pm $(DESTDIR)$(PREFIX)/share/perl5/Debian/Debhelper/Sequence/

install-runtime:
	$(INSTALL) -m 755 -d $(DESTDIR)$(PREFIX)/share/python/debpython $(DESTDIR)$(PREFIX)/bin
	$(INSTALL) -m 644 debpython/*.py $(DESTDIR)$(PREFIX)/share/python/debpython/
	$(INSTALL) -m 755 pycompile $(DESTDIR)$(PREFIX)/bin/
	$(INSTALL) -m 755 pyclean $(DESTDIR)$(PREFIX)/bin/

install: install-dev install-runtime

%.1: %.rst
	rst2man $< > $@

%.html: %.rst
	rst2html $< > $@

manpages: $(MANPAGES)

dist_fallback:
	make -C pydist $@

check_versions:
	@set -e;\
	DEFAULT=`sed -rn 's,^DEFAULT = \(([0-9]+)\, ([0-9]+)\),\1.\2,p' debpython/version.py`;\
	SUPPORTED=`sed -rn 's,^SUPPORTED = \[\(([0-9]+)\, ([0-9]+)\)\, \(([0-9]+)\, ([0-9]+)\)\],\1.\2 \3.\4,p' debpython/version.py`;\
	DEB_DEFAULT=`sed -rn 's,^default-version = python([0-9.]*),\1,p' debian/debian_defaults`;\
	DEB_SUPPORTED=`sed -rn 's|^supported-versions = (.*)|\1|p' debian/debian_defaults | sed 's/python//g;s/,//g'`;\
	[ "$$DEFAULT" = "$$DEB_DEFAULT" ] || \
	(echo "Please update DEFAULT in debpython/version.py ($$DEFAULT vs. $$DEB_DEFAULT)" >/dev/stderr; false);\
	[ "$$SUPPORTED" = "$$DEB_SUPPORTED" ] || \
	(echo "Please update SUPPORTED in debpython/version.py ($$SUPPORTED vs. $$DEB_SUPPORTED)" >/dev/stderr; false)

pdebuild:
	pdebuild --debbuildopts -I

# TESTS
nose:
	nosetests --with-doctest --with-coverage

unittests:
	python2.7 -m unittest discover -v

tests: nose
	make -C tests

test%:
	make -C tests $@

.PHONY: clean tests test% check_versions

=== tests/t1/Makefile ===
#!/usr/bin/make -f

include ../common.mk
DPY=$(DEBPYTHON_DEFAULT)

check:
	grep -q "Depends: .*python-mako" debian/python-foo/DEBIAN/control
	grep -q 'python-foo (>= 2:0.1~rc2)' debian/python-foo/DEBIAN/control
	test -f debian/python-foo/usr/lib/python2.6/dist-packages/foo/__init__.py
	test ! -f debian/python-foo/usr/lib/python2.6/dist-packages/foo/spam.py
	grep -q "Depends: .*python (<<" debian/python-foo/DEBIAN/control
	[ "`readlink debian/python-foo/usr/lib/python$(DPY)/dist-packages/foo/absolute_link_to_tmp`" = "/tmp" ]
	[ "`readlink debian/python-foo/usr/lib/python$(DPY)/dist-packages/foo/link_to_parent_dir`" = ".." ]

clean: clean-common
	rm -rf lib/Foo.egg-info

=== debian/changelog ===
python-defaults (2.7.3-4+deb7u1) stable; urgency=low

  * Add symlink for /usr/bin/python2 (Closes: #723182)
    - This was inadvertently omitted during Wheezy development, but is already
      fixed in jessie (the fix proposed here is identical)

 -- Scott Kitterman <scott@kitterman.com>  Sat, 28 Sep 2013 15:30:14 -0400

python-defaults (2.7.3-4) unstable; urgency=low

  [ Dmitry Shachnev ]
  * Revert previous prerm/postrm changes:
    - prerm is never called as `prerm purge`.
    - configuration files shouldn't be deleted on package remove.

 -- Scott Kitterman <scott@kitterman.com>  Fri, 08 Feb 2013 16:26:12 -0500

python-defaults (2.7.3-3) unstable; urgency=low

  [ Piotr Ożarowski ]
  * dh_python2:
    - no longer sensitive to trailing slash in private dir names
      (closes: #686358)
    - ignore /usr/bin/python3 shebangs in all packages, not just in
      python3-* ones
    - generates correct "python (<< 2.X)" dependencies for packages with
      private Python extensions (typo fixed)
  * pyversions.py: fix parsing DEBPYTHON_SUPPORTED env. variable
    (versions should be separated using comma, as in debian_defaults
    config file)

  [ Dmitry Shachnev ]
  * debian/python.{pre,post}rm.in: Handle purge command the same way as
    remove (thanks to Mitsuya Shibata for the bug report)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 21 Oct 2012 22:40:55 +0200

python-defaults (2.7.3-2) unstable; urgency=low

  * dh_python2: ignore empty files while trying to normalize shebangs
    (Closes: #680793)
  * Fix lack of python-imaging in pydist/dist_fallback
    - Add python-imaging override to pydist/generate_fallback_list.py
    - pydist/dist_fallback: Regenerate to add python-imaging (which wasn't
      recognized before due to .pth file) along with a few automatic
      adjustments 

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 26 Jul 2012 23:03:32 +0200

python-defaults (2.7.3-1) unstable; urgency=low

  [ Piotr Ożarowski ]
  * dh_python2:
    - remove even more \.so.* dangling symlinks, thanks to Stefano
      Rivera for providing a test case
    - rewrite shebangs by default (disable via --no-shebang-rewrite),
      examples:
       + "/usr/bin/env python*" → "/usr/bin/python*"
       + "/usr/local/bin/python foo" → "/usr/bin/python foo"
       + "/usr/bin/python2" → "/usr/bin/python"
    - new --shebang option to replace all shebangs in bin dirs
      (example: --shebang /usr/bin/python2.6)
    - no longer generates python2.X | python2.Y depenendies for public modules
      (Closes: 625740)
    - translate Python version numbers into Debian ones for those
      require.txt items that have a pydist file with (uscan like) rules
      or PEP386 flag (Closes: #653740)
  * Improve dh_python2 manpage a bit, add information about cleaning debug
    packages (Closes: #653741)
  * pyversions, dh_python2, pycompile: allow to override system's list of
    supported Python versions via DEBPYTHON_SUPPORTED and default Python
    version via DEBPYTHON_DEFAULT env. variables
  * Debhelper's python2 sequence now inserts dh_python2 before dh_installinit
    (closes: 670418)

  [ Scott Kitterman ]
  * Bump upstream version to match current unstable/wheezy python2.7 version

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 30 Jun 2012 20:23:59 +0200

python-defaults (2.7.3~rc2-1) unstable; urgency=low

  [ Scott Kitterman ]
  * Bump minimum debhelper version to 8 so all tests will run
    - dh_python2 tests 1 - 5 require dh 7 and test 6 needs dh 8
  * Move idle.xpm symlink from python to idle and add Breaks/Replaces
  * Move /usr/bin/pyversions from python to python-minimal since that's where
    the actual script it's a symlink to lives, add Breaks/Replaces
  * Bump standards version to 3.9.3 without further change
  * Correct Python package names with hyphens in them being ignored
    (Closes: #657665)
  * Drop -n from /usr/bin/idle invocations in debian/idle.desktop and
    debian/idle.menu (Closes: #482156)
  * Update Python policy
    - Describe addition of /usr/bin/python2 due to upstream changes
    - Remove redundant text on Python provides and clarify when they should be
      used
    - Update description of functionality related to X-Python-Version for
      Wheezy
    - Update X/XS-Python-Versions to also include X-Python-Version examples
    - Add appropriage Breaks/Replaces
  * Bump upstream version to match current unstable/wheezy python2.7 version

  [ Piotr Ożarowski ]
  * dh_python2, pyversions: make comparison of X(S)-Python-Version field names
    case-insensitive (Closes: #676224)

 -- Scott Kitterman <scott@kitterman.com>  Tue, 05 Jun 2012 22:43:11 -0400

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.

export SHELL = /bin/bash

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)

changelog_values := $(shell dpkg-parsechangelog \
			| awk '/^(Version|Source):/ {print $$2}')
PKGSOURCE  := $(word 1, $(changelog_values))
PKGVERSION := $(word 2, $(changelog_values))

distribution := $(shell lsb_release -is)

export VER=2.7
export NVER=2.8
export PVER=python2.7

PREVVER	:= $(shell awk '/^python/ && NR > 1 {print substr($$2,2,length($$2)-2); exit}' debian/changelog)
PREVVER := 2.7.3-1~

PWD		:= $(shell pwd)

d		:= debian/tmp
scriptdir	=  usr/share/lib/python$(VER)
scriptdir	=  usr/share/python$(VER)
scriptdir	=  usr/lib/python$(VER)

rst2html	= rst2html

with_doc	= yes
ifneq ($(with_doc),yes)
  NOPKGS	= -Npython-doc
endif

build: stamp-build
build-arch: stamp-build
build-indep: stamp-build
stamp-build:
	touch stamp-build

stamp-doc-policy:
	debiandoc2text debian/python-policy.sgml
	mv -f python-policy.txt debian/
	debiandoc2html debian/python-policy.sgml
	rm -rf debian/python-policy.html
	mv -f python-policy.html debian/
	make -C pydist README.PyDist.html
	touch stamp-doc-policy

stamp-doc: stamp-doc-policy
	touch stamp-doc

control-file:
	sed -e "s/@PVER@/$(PVER)/g" \
	    -e "s/@NVER@/$(NVER)/g" \
	    -e "s/@VER@/$(VER)/g" \
	    -e "s/@PREVVER@/$(PREVVER)/g" \
		<debian/control.in >debian/control.tmp
ifeq ($(distribution),Ubuntu)
  ifneq (,$(findstring ubuntu, $(PKGVERSION)))
	m='Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>'; \
	sed -i "/^Maintainer:/s/\(.*\)/Maintainer: $$m\nXSBC-Original-\1/" \
	  debian/control.tmp
  endif
endif
	[ -e debian/control ] \
	  && cmp -s debian/control debian/control.tmp \
	  && rm -f debian/control.tmp && exit 0; \
	  mv debian/control.tmp debian/control

faqs = index general programming library extending windows gui installed
get-faq:
	rm -rf faq
	mkdir faq
	cd faq && \
	  wget -nv $(foreach p,$(faqs),http://python.org/doc/faq/$(p).ht)
	sed 's,\<\([a-zA-Z0-9]*\.html\)\>,faq/\1,' faq/index.ht \
		| awk '/^Translations$$/ {exit} {print}' > faq/FAQ.ht
	( \
	  echo ''; \
	  echo 'This is a local copy of the online FAQ located at'; \
	  echo 'http://python.org/doc/faq.'; \
	  echo "The copy was fetched and generated in `date '+%B %Y'`."; \
	) >> faq/FAQ.ht
	rm -f faq/index.ht

clean: control-file
	dh_testdir
	dh_testroot
	rm -f stamp-*
	rm -f patch-stamp*

	rm -f debian/python-policy.txt
	rm -rf debian/python-policy.html
	rm -f faq/*.h2 faq/*.html

	set -e;\
	for f in debian/*.in; do \
	    f2=`echo $$f | sed "s,PVER,$(PVER),g;s/VER/$(VER)/g;s,\.in$$,,"`; \
	    if [ $$f2 != debian/control ]; then \
	        rm -f $$f2; \
	    fi; \
	done
	rm -f debian/*.py[co]
	make clean
	dh_clean

stamp-control:
	: # We have to prepare the various control files

	set -e;\
	for f in debian/*.in; do \
	    f2=`echo $$f | sed "s,PVER,$(PVER),g;s/VER/$(VER)/g;s,\.in$$,,"`; \
	    if [ $$f2 != debian/control ]; then \
		sed -e "s/@PVER@/$(PVER)/g;s/@VER@/$(VER)/g" \
		    -e "s/@PRIORITY@/$(PRIORITY)/g" \
		    -e "s,@SCRIPTDIR@,/$(scriptdir),g" \
		  <$$f >$$f2; \
	    fi; \
	done

install: build stamp-dh_python stamp-install
stamp-install: stamp-build control-file stamp-control
	dh_testdir
	dh_testroot
	dh_installdirs usr/share/doc/python/faq
	dh_install

	set -e; \
	cd faq && \
	for p in *.ht; do \
	  p=`basename $$p .ht`; \
	  echo $(rst2html) $$p.ht $$p.html; \
	  awk 'NR > 2' $$p.ht > $$p.ht2; \
	  $(rst2html) $$p.ht2 $$p.html; \
	  mv $$p.html ../debian/python/usr/share/doc/python/faq/; \
	  rm -f $$p.ht2; \
	done
	mv debian/python/usr/share/doc/python/faq/FAQ.html \
		debian/python/usr/share/doc/python/

	touch stamp-install

stamp-dh_python:
	dh_testdir
	dh_testroot
	dh_installdirs
	make check_versions
	DESTDIR=debian/python PREFIX=/usr make install-dev
	DESTDIR=debian/python-minimal PREFIX=/usr make install-runtime manpages
	# disabled by default, run manually if you want to update it
	# (requires apt-file and network connection)
	#make -C pydist dist_fallback
	touch $@

# Build architecture-independent files here.
binary-indep: build install stamp-doc
	dh_testdir -i
	dh_testroot -i
	dh_installman -i

	: # provide the python and python.1 defaults
	mkdir -p debian/python-minimal/usr/bin
	ln -sf python$(VER) debian/python-minimal/usr/bin/python
	ln -sf python$(VER) debian/python-minimal/usr/bin/python2
	mkdir -p debian/python-minimal/usr/share/man/man1
	ln -sf python$(VER).1.gz \
		debian/python-minimal/usr/share/man/man1/python.1.gz
	ln -sf python$(VER).1.gz \
		debian/python-minimal/usr/share/man/man1/python2.1.gz

	: # 
	mkdir -p debian/python-minimal/usr/share/python
	cp -p debian/debian_defaults \
		debian/python-minimal/usr/share/python/

	install -m 755 debian/pyversions.py \
		debian/python-minimal/usr/share/python/
	install -m 644 debian/pyversions.1 \
		debian/python-minimal/usr/share/man/man1/
	dh_link -ppython-minimal /usr/share/python/pyversions.py /usr/bin/pyversions

#	install -m 755 debian/pycompile \
#		debian/python-minimal/usr/bin/
#	install -m 755 debian/pyclean \
#		debian/python-minimal/usr/bin/

#	mkdir debian/python-minimal/usr/share/python-central
#	cp -p debian/python.pycentral debian/python-minimal/usr/share/python-central/

	mkdir -p debian/python/usr/bin
	ln -sf pydoc$(VER) debian/python/usr/bin/pydoc
	ln -sf pygettext$(VER) debian/python/usr/bin/pygettext
	ln -sf pdb$(VER) debian/python/usr/bin/pdb
	ln -sf 2to3-$(VER) debian/python/usr/bin/2to3

	mkdir -p debian/python/usr/share/python
	install -m 644 debian/python.mk \
		debian/python/usr/share/python/

	mkdir -p debian/python/usr/share/man/man1
	ln -sf pydoc$(VER).1.gz \
		debian/python/usr/share/man/man1/pydoc.1.gz
	ln -sf pygettext$(VER).1.gz \
		debian/python/usr/share/man/man1/pygettext.1.gz
	ln -sf pdb$(VER).1.gz \
		debian/python/usr/share/man/man1/pdb.1.gz
	ln -sf 2to3-$(VER).1.gz \
		debian/python/usr/share/man/man1/2to3.1.gz

	mkdir -p debian/python/usr/share/doc/python
	cp -a debian/python-policy.{html,sgml,txt} \
		debian/python/usr/share/doc/python/

	mkdir -p debian/python/usr/share/pixmaps
	ln -sf python$(VER).xpm debian/python/usr/share/pixmaps/python.xpm

	: # add symlinks to policy files
	mkdir -p debian/python/usr/share/doc/python$(VER)
	for ext in html sgml.gz txt.gz; do \
	  ln -sf ../python/python-policy.$$ext \
		debian/python/usr/share/doc/python$(VER)/python-policy.$$ext; \
	done

ifeq ($(with_doc),yes)
	mkdir -p debian/python-doc/usr/share/doc/python
	ln -sf ../python$(VER)-doc/html \
		debian/python-doc/usr/share/doc/python/html
	mkdir -p debian/python-doc/usr/share/doc/python-doc
	ln -sf ../python$(VER)-doc/html \
		debian/python-doc/usr/share/doc/python-doc/html
endif

	mkdir -p debian/python/usr/share/apps/konsole
	cp -p debian/python.desktop debian/python/usr/share/apps/konsole/

	: # provide the python-config default
	mkdir -p debian/python-dev/usr/bin
	ln -sf python$(VER)-config debian/python-dev/usr/bin/python-config

	: # provide the python-dbg and python-dbg.1 defaults
	mkdir -p debian/python-dbg/usr/bin
	ln -sf python$(VER)-dbg debian/python-dbg/usr/bin/python-dbg
	ln -sf python$(VER)-dbg-config debian/python-dbg/usr/bin/python-dbg-config
	mkdir -p debian/python-dbg/usr/share/man/man1
	ln -sf python$(VER)-dbg.1.gz \
		debian/python-dbg/usr/share/man/man1/python-dbg.1.gz
	mkdir -p debian/python-dbg/usr/share/doc/python
	ln -sf ../python$(VER)/SpecialBuilds.txt.gz \
		debian/python-dbg/usr/share/doc/python/SpecialBuilds.txt.gz
	ln -sf ../python$(VER)/README.debug \
		debian/python-dbg/usr/share/doc/python/README.debug

	mkdir -p debian/python/usr/lib/valgrind
	cp -p debian/valgrind-python.supp \
		debian/python/usr/lib/valgrind/python.supp

	: # provide the idle and idle.1 defaults
	mkdir -p debian/idle/usr/bin
	install -m 755 debian/idle.py debian/idle/usr/bin/idle

	mkdir -p debian/idle/usr/share/man/man1

## python-defaults 2.7.3-10ubuntu5

=== debian/changelog ===
python-defaults (2.7.3-10ubuntu5) raring; urgency=low

  * python-all-{dev,dbg}: Depend on libpython-all-{dev,dbg}.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 27 Jan 2013 19:59:56 +0100

python-defaults (2.7.3-10ubuntu4) raring; urgency=low

  * Build libpython-all-{dev,dbg} packages.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 25 Jan 2013 20:35:02 +0100

python-defaults (2.7.3-10ubuntu3) raring; urgency=low

  * Move lsb-release to Build-Depends.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 12 Dec 2012 11:11:11 +0100

python-defaults (2.7.3-10ubuntu2) raring; urgency=low

  * Make python-{all,all-dev,all-dbg} Multi-Arch: allowed.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 12 Dec 2012 11:02:45 +0100

python-defaults (2.7.3-10ubuntu1) raring; urgency=low

  * Merge with Debian; remaining changes:
    - Move python-docutils, and debiandoc-sgml to Build-Depends from B-D-Indep.
      This fixes build failures with --no-arch-all and in the buildds on
      powerpc, armhf, and amd64.
    - debian/control.in: Build depend on lsb-release to set correct
      Maintainer fields when building on Ubuntu.
    - debian/rules: Ignore version check, as our default versions differ
      from Debian's.
    - debian/control.in, debian/debian_defaults: Drop python2.6 support.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 12 Dec 2012 09:17:34 +0100

python-defaults (2.7.3-10) experimental; urgency=low

  * Build dependency packages as architecture dependent packages.
  * Make python, python-{minimal,dev,dbg} Multi-Arch: allowed.
  * Build Multi-Arch: any packages libpython-{dev,dbg} packages providing
    $(DEB_HOST_GNU_TYPE/DEB_HOST_MULTIARCH)-python-config symlinks.
  * Provide python2 symlinks.

 -- Matthias Klose <doko@debian.org>  Wed, 12 Dec 2012 00:25:00 +0100

python-defaults (2.7.3-3ubuntu2) raring; urgency=low

  * debian/control.in: move python-docutils, and debiandoc-sgml to
    Build-Depends from B-D-Indep.  This fixes build failures with
    --no-arch-all and in the buildds on powerpc, armhf, and amd64.

 -- Barry Warsaw <barry@ubuntu.com>  Wed, 28 Nov 2012 17:04:08 -0500

python-defaults (2.7.3-3ubuntu1) raring; urgency=low

  * Resynchronize with Debian unstable, remaining Ubuntu changes:
    - debian/control.in: Build depend on lsb-release to set correct
      Maintainer fields when building on Ubuntu.
    - debian/rules: Ignore version check, as our default versions differ
      from Debian's.
    - debian/control.in, debian/debian_defaults: Drop python2.6 support.
    - debian/rules: Provide Python pkgconfig defaults.
    - debian/rules: Re-add the python2 and python2-config symlinks,
      formerly present in the python2.7 packages (see PEP 394).
    - debian/control.in, debian/rules: Build dependency packages as
      architecture dependent packages (for cross-building python
      extension packages, see LP: #934593).
  * debian/rules: in binary-arch section, use -a argument for dh_* commands.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 28 Nov 2012 14:50:19 +0400

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,21 @@
 Source: python-defaults
 Section: python
 Priority: optional
-Maintainer: Matthias Klose <doko@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
 Uploaders: Scott Kitterman <scott@kitterman.com>, Piotr Ożarowski <piotr@debian.org>
-Build-Depends: debhelper (>= 8~)
-Build-Depends-Indep: libhtml-tree-perl, debiandoc-sgml, python-docutils (>= 0.4-3)
+Build-Depends: debhelper (>= 8~), python-docutils (>= 0.4-3), debiandoc-sgml, lsb-release
+Build-Depends-Indep: libhtml-tree-perl
 Standards-Version: 3.9.3
 Homepage: http://www.python.org/
 Vcs-Bzr: http://alioth.debian.org/anonscm/bzr/pkg-python/python-defaults-debian
 Vcs-Browser: http://alioth.debian.org/scm/loggerhead/pkg-python/python-defaults-debian/files
 
 Package: python
-Architecture: all
+Architecture: any
+Multi-Arch: allowed
 Priority: standard
-Depends: ${misc:Depends}, python2.7 (>= 2.7.3-1~), python-minimal (= ${binary:Version})
+Depends: ${misc:Depends}, python2.7 (>= 2.7.3-10~), python-minimal (= ${binary:Version})
 Suggests: python-doc (= ${binary:Version}), python-tk (= ${binary:Version})
 Conflicts: python-central (<< 0.5.5)
 Breaks: python-csv (<< 1.0-4), python-bz2 (<< 1.1-8), python-email (<< 2.5.5-3), update-manager-core (<< 0.200.5-2)
@@ -28,9 +30,10 @@
  Python version (currently v2.7).
 
 Package: python-minimal
-Architecture: all
+Architecture: any
+Multi-Arch: allowed
 Priority: standard
-Depends: ${misc:Depends}, python2.7-minimal (>= 2.7.3-1~), dpkg (>= 1.13.20)
+Depends: ${misc:Depends}, python2.7-minimal (>= 2.7.3-10~), dpkg (>= 1.13.20)
 Recommends: python
 Conflicts: python-central (<< 0.5.5)
 Breaks: python (<= 2.7.3-1~), python-dev (<< 2.6), python-dbg (<< 2.6), python-all (<< 2.6), python-all-dev (<< 2.6), python-all-dbg (<< 2.6), python-examples (<< 2.6), idle (<< 2.6), python2.5-minimal (<< 2.5.5-7), python2.6-minimal (<< 2.6.5~rc2-2), python3.1-minimal (<< 3.1.2~rc1-2), python-support (<< 1.0.10ubuntu2)
@@ -43,7 +46,7 @@
 
 Package: python-examples
 Architecture: all
-Depends: ${misc:Depends}, python (= ${binary:Version}), python2.7-examples (>= 2.7.3-1~)
+Depends: ${misc:Depends}, python (= ${binary:Version}), python2.7-examples (>= 2.7.3-10~)
 Description: examples for the Python language (default version)
  Examples, Demos and Tools for Python. These are files included in
  the upstream Python distribution.
@@ -52,8 +55,21 @@
  Python version (currently v2.7).
 
 Package: python-dev
-Architecture: all
-Depends: ${misc:Depends}, python (= ${binary:Version}), python2.7-dev (>= 2.7.3-1~)
+Architecture: any
+Multi-Arch: allowed
+Depends: ${misc:Depends}, python (= ${binary:Version}), libpython-dev (= ${binary:Version}), python2.7-dev (>= 2.7.3-10~)
+Description: header files and a static library for Python (default)
+ Header files, a static library and development tools for building
+ Python modules, extending the Python interpreter or embedding Python
+ in applications.
+ .
+ This package is a dependency package, which depends on Debian's default
+ Python version (currently v2.7).
+
+Package: libpython-dev
+Architecture: any
+Multi-Arch: same
+Depends: libpython2.7-dev (>= 2.7.3-10~), ${misc:Depends}
 Description: header files and a static library for Python (default)
  Header files, a static library and development tools for building
  Python modules, extending the Python interpreter or embedding Python
@@ -78,7 +94,7 @@
 Package: python-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}, python2.7-doc (>= 2.7.3-1~)
+Depends: ${misc:Depends}, python2.7-doc (>= 2.7.3-10~)
 Suggests: python-examples, python (= ${binary:Version})
 Breaks: python (<< 2.3.5)
 Replaces: python (<< 2.3.5)
@@ -101,20 +117,32 @@
  Python version (currently v2.7).
 
 Package: python-dbg
-Architecture: all
-Section: debug
-Priority: extra
-Depends: ${misc:Depends}, python (= ${binary:Version}), python2.7-dbg (>= 2.7.3-1~)
+Architecture: any
+Multi-Arch: allowed
+Section: debug
+Priority: extra
+Depends: ${misc:Depends}, python (= ${binary:Version}), libpython-dbg (= ${binary:Version}), python2.7-dbg (>= 2.7.3-10~)
 Provides: python-gdbm-dbg, python-tk-dbg
 Description: debug build of the Python Interpreter (version 2.7)
  Python interpreter configured with --pydebug. Dynamically loaded modules are
  searched in /usr/lib/python2.7/lib-dynload/debug first.
 
+Package: libpython-dbg
+Architecture: any
+Multi-Arch: same
+Section: debug
+Priority: extra
+Depends: libpython2.7-dbg (>= 2.7.3-10~), ${misc:Depends}
+Description: debug build of the Python Interpreter (version 2.7)
+ Python interpreter configured with --pydebug. Dynamically loaded modules
+ are searched in /usr/lib/python2.7/lib-dynload/debug first.
+
 Package: python-all
-Architecture: all
-Depends: ${misc:Depends}, python (= ${binary:Version}), python2.6 (>= 2.6.7-3), python2.7 (>= 2.7.2-3)
+Architecture: any
+Multi-Arch: allowed
+Depends: ${misc:Depends}, python (= ${binary:Version}), python2.7 (>= 2.7.2-3)
 Description: package depending on all supported Python runtime versions
- The package currently depends on python2.6 and python2.7, in the future,
+ The package currently depends on python2.7, in the future,
  dependencies on jython (Python for a JVM) and ironpython (Python for Mono)
  may be added.
  .
@@ -122,10 +150,11 @@
  avoid hardcoded dependencies on specific Python runtimes.
 
 Package: python-all-dev
-Architecture: all
-Depends: ${misc:Depends}, python (= ${binary:Version}), python-all (= ${binary:Version}), python-dev (= ${binary:Version}), python2.6-dev (>= 2.6.5-2), python2.7-dev (>= 2.7-7)
+Architecture: any
+Multi-Arch: allowed
+Depends: ${misc:Depends}, python (= ${binary:Version}), python-all (= ${binary:Version}), libpython-all-dev (= ${binary:Version}), python-dev (= ${binary:Version}), python2.7-dev (>= 2.7-7)
 Description: package depending on all supported Python development packages
- The package currently depends on python2.6-dev and python2.7-dev, in the
+ The package currently depends on python2.7-dev, in the
  future, dependencies on jython (Python for a JVM) and ironpython (Python
  for Mono) may be added.
  .
@@ -133,14 +162,44 @@
  avoid hardcoded dependencies on specific Python development packages.
 
 Package: python-all-dbg
-Architecture: all
-Section: debug
-Priority: extra
-Depends: ${misc:Depends}, python (= ${binary:Version}), python-all (= ${binary:Version}), python-dbg (= ${binary:Version}), python2.6-dbg (>= 2.6.5-2), python2.7-dbg (>= 2.7-7)
+Architecture: any
+Multi-Arch: allowed
+Section: debug
+Priority: extra
+Depends: ${misc:Depends}, python (= ${binary:Version}), python-all (= ${binary:Version}), libpython-all-dbg (= ${binary:Version}), python-dbg (= ${binary:Version}), python2.7-dbg (>= 2.7-7)
 Description: package depending on all supported Python debugging packages
- The package currently depends on python2.6-dbg and python2.7-dbg, in the
+ The package currently depends on python2.7-dbg, in the
  future, dependencies on jython (Python for a JVM) and ironpython (Python
  for Mono) may be added.
  .
  This package is used as a build dependency for other packages to
  avoid hardcoded dependencies on specific Python development packages.
+
+Package: libpython-all-dev
+Architecture: any
+Multi-Arch: same
+Depends: libpython-dev (= ${binary:Version}), ${misc:Depends},
+ libpython2.7-dev
+Description: package depending on all supported Python development packages
+ The package currently depends on libpython2.7-dev, in the
+ future, dependencies on jython (Python for a JVM) and ironpython (Python
+ for Mono) may be added.
+ .
+ This package is a dependency package used as a build dependency for other
+ packages to avoid hardcoded dependencies on specific Python development
+ packages.
+
+Package: libpython-all-dbg
+Architecture: any
+Multi-Arch: same
+Section: debug
+Priority: extra
+Depends: libpython-dbg (= ${binary:Version}), ${misc:Depends},
+ libpython2.7-dbg
+Description: package depending on all supported Python debugging packages
+ The package currently depends on libpython2.7-dbg, in the
+ future, dependencies on jython (Python for a JVM) and ironpython (Python
+ for Mono) may be added.
+ .
+ This package is a dependency package used as a build dependency for other
+ packages to avoid hardcoded dependencies on specific Python debug packages.

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,7 @@
 #export DH_VERBOSE=1
 
 DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
+DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 changelog_values := $(shell dpkg-parsechangelog \
 			| awk '/^(Version|Source):/ {print $$2}')
@@ -20,7 +21,8 @@
 export PVER=python2.7
 
 PREVVER	:= $(shell awk '/^python/ && NR > 1 {print substr($$2,2,length($$2)-2); exit}' debian/changelog)
-PREVVER := 2.7.3-1~
+# first version with Multi-Arch: allowed
+PREVVER := 2.7.3-10~
 
 PWD		:= $(shell pwd)
 
@@ -149,7 +151,7 @@
 	dh_testdir
 	dh_testroot
 	dh_installdirs
-	make check_versions
+	-make check_versions
 	DESTDIR=debian/python PREFIX=/usr make install-dev
 	DESTDIR=debian/python-minimal PREFIX=/usr make install-runtime manpages
 	# disabled by default, run manually if you want to update it
@@ -162,6 +164,53 @@
 	dh_testdir -i
 	dh_testroot -i
 	dh_installman -i
+
+ifeq ($(with_doc),yes)
+	mkdir -p debian/python-doc/usr/share/doc/python
+	ln -sf ../python$(VER)-doc/html \
+		debian/python-doc/usr/share/doc/python/html
+	mkdir -p debian/python-doc/usr/share/doc/python-doc
+	ln -sf ../python$(VER)-doc/html \
+		debian/python-doc/usr/share/doc/python-doc/html
+endif
+
+	: # provide the idle and idle.1 defaults
+	mkdir -p debian/idle/usr/bin
+	install -m 755 debian/idle.py debian/idle/usr/bin/idle
+
+	mkdir -p debian/idle/usr/share/man/man1
+	install -m 644 debian/idle.1 debian/idle/usr/share/man/man1/idle.1
+
+	mkdir -p debian/idle/usr/share/pixmaps
+	ln -sf python.xpm debian/idle/usr/share/pixmaps/idle.xpm
+
+	mkdir -p debian/idle/usr/share/applications
+	cp -p debian/idle.desktop debian/idle/usr/share/applications/
+
+#	dh_installdebconf -i $(NOPKGS)
+	dh_lintian -i
+	dh_installdocs -i $(NOPKGS) --all debian/README.Debian
+	dh_installmenu -i $(NOPKGS)
+	dh_installchangelogs -i $(NOPKGS)
+
+	for p in examples idle; do \
+	  [ $$p = idle ] || p=python-$$p; \
+	  rm -rf debian/$$p/usr/share/doc/$$p; \
+	  ln -sf python debian/$$p/usr/share/doc/$$p; \
+	done
+
+	dh_compress -i $(NOPKGS)
+	dh_fixperms -i $(NOPKGS)
+	dh_installdeb -i $(NOPKGS)
+	dh_gencontrol -i $(NOPKGS)
+	dh_md5sums -i $(NOPKGS)
+	dh_builddeb -i $(NOPKGS)
+
+# Build architecture-dependent files here.
+binary-arch: build install stamp-doc
+	dh_testdir -a
+	dh_testroot -a
+	dh_installman -a
 
 	: # provide the python and python.1 defaults
 	mkdir -p debian/python-minimal/usr/bin
@@ -226,41 +275,3 @@
 		debian/python/usr/share/doc/python$(VER)/python-policy.$$ext; \
 	done
 
-ifeq ($(with_doc),yes)
-	mkdir -p debian/python-doc/usr/share/doc/python
-	ln -sf ../python$(VER)-doc/html \
-		debian/python-doc/usr/share/doc/python/html
-	mkdir -p debian/python-doc/usr/share/doc/python-doc
-	ln -sf ../python$(VER)-doc/html \
-		debian/python-doc/usr/share/doc/python-doc/html
-endif
-
-	mkdir -p debian/python/usr/share/apps/konsole
-	cp -p debian/python.desktop debian/python/usr/share/apps/konsole/
-
-	: # provide the python-config default
-	mkdir -p debian/python-dev/usr/bin
-	ln -sf python$(VER)-config debian/python-dev/usr/bin/python-config
-
-	: # provide the python-dbg and python-dbg.1 defaults
-	mkdir -p debian/python-dbg/usr/bin
-	ln -sf python$(VER)-dbg debian/python-dbg/usr/bin/python-dbg
-	ln -sf python$(VER)-dbg-config debian/python-dbg/usr/bin/python-dbg-config
-	mkdir -p debian/python-dbg/usr/share/man/man1
-	ln -sf python$(VER)-dbg.1.gz \
-		debian/python-dbg/usr/share/man/man1/python-dbg.1.gz
-	mkdir -p debian/python-dbg/usr/share/doc/python
-	ln -sf ../python$(VER)/SpecialBuilds.txt.gz \
-		debian/python-dbg/usr/share/doc/python/SpecialBuilds.txt.gz
-	ln -sf ../python$(VER)/README.debug \
-		debian/python-dbg/usr/share/doc/python/README.debug
-
-	mkdir -p debian/python/usr/lib/valgrind
-	cp -p debian/valgrind-python.supp \
-		debian/python/usr/lib/valgrind/python.supp
-
-	: # provide the idle and idle.1 defaults
-	mkdir -p debian/idle/usr/bin
-	install -m 755 debian/idle.py debian/idle/usr/bin/idle
-
-	mkdir -p debian/idle/usr/share/man/man1

## python-defaults 2.7.4-0ubuntu1

=== Makefile ===
--- 
+++ 
@@ -56,9 +56,6 @@
 nose:
 	nosetests --with-doctest --with-coverage
 
-unittests:
-	python2.7 -m unittest discover -v
-
 tests: nose
 	make -C tests

=== debian/changelog ===
python-defaults (2.7.4-0ubuntu1) raring; urgency=low

  * Bump version to 2.7.4.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Apr 2013 20:40:20 +0200

python-defaults (2.7.3-13ubuntu1) raring; urgency=low

  * Merge with Debian; remaining changes:
    - python2.7 is the only supported version.
    - Build libpython-stdlib, libpython-all-{dev,dbg} packages.
    - Adjusted intra-package dependencies for the above.
    - -all packages are Multi-Arch: allowed.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 21 Mar 2013 10:07:07 -0700

python-defaults (2.7.3-13) experimental; urgency=low

  * Always build the policy files.

 -- Matthias Klose <doko@debian.org>  Thu, 28 Feb 2013 16:46:08 +0100

python-defaults (2.7.3-12) experimental; urgency=low

  * Move python-docutils to build-depends (from build-depends-indep).

 -- Matthias Klose <doko@debian.org>  Thu, 28 Feb 2013 15:58:09 +0100

python-defaults (2.7.3-11) experimental; urgency=low

  * Add Multi-Arch: same packages libpython-all-{dev,dbg} (not yet built,
    python2.6 doesn't have support for multiarch).
  * python-dbg: Stop providing python-gdbm-dbg, python-tk-dbg. Closes: #700716.
  * Add a libpython-stdlib package (not yet built).

 -- Matthias Klose <doko@debian.org>  Thu, 28 Feb 2013 14:43:06 +0100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
 Uploaders: Scott Kitterman <scott@kitterman.com>, Piotr Ożarowski <piotr@debian.org>
-Build-Depends: debhelper (>= 8~), python-docutils (>= 0.4-3), debiandoc-sgml, lsb-release
-Build-Depends-Indep: libhtml-tree-perl
+Build-Depends: debhelper (>= 8~), python-docutils (>= 0.4-3),
+  libhtml-tree-perl, debiandoc-sgml, lsb-release
 Standards-Version: 3.9.3
 Homepage: http://www.python.org/
 Vcs-Bzr: http://alioth.debian.org/anonscm/bzr/pkg-python/python-defaults-debian
@@ -15,7 +15,7 @@
 Architecture: any
 Multi-Arch: allowed
 Priority: standard
-Depends: ${misc:Depends}, python2.7 (>= 2.7.3-10~), python-minimal (= ${binary:Version})
+Depends: ${misc:Depends}, python2.7 (>= 2.7.4-1~), python-minimal (= ${binary:Version}), libpython-stdlib (= ${binary:Version})
 Suggests: python-doc (= ${binary:Version}), python-tk (= ${binary:Version})
 Conflicts: python-central (<< 0.5.5)
 Breaks: python-csv (<< 1.0-4), python-bz2 (<< 1.1-8), python-email (<< 2.5.5-3), update-manager-core (<< 0.200.5-2)
@@ -33,7 +33,7 @@
 Architecture: any
 Multi-Arch: allowed
 Priority: standard
-Depends: ${misc:Depends}, python2.7-minimal (>= 2.7.3-10~), dpkg (>= 1.13.20)
+Depends: ${misc:Depends}, python2.7-minimal (>= 2.7.4-1~), dpkg (>= 1.13.20)
 Recommends: python
 Conflicts: python-central (<< 0.5.5)
 Breaks: python (<= 2.7.3-1~), python-dev (<< 2.6), python-dbg (<< 2.6), python-all (<< 2.6), python-all-dev (<< 2.6), python-all-dbg (<< 2.6), python-examples (<< 2.6), idle (<< 2.6), python2.5-minimal (<< 2.5.5-7), python2.6-minimal (<< 2.6.5~rc2-2), python3.1-minimal (<< 3.1.2~rc1-2), python-support (<< 1.0.10ubuntu2)
@@ -46,7 +46,7 @@
 
 Package: python-examples
 Architecture: all
-Depends: ${misc:Depends}, python (= ${binary:Version}), python2.7-examples (>= 2.7.3-10~)
+Depends: ${misc:Depends}, python (= ${binary:Version}), python2.7-examples (>= 2.7.4-1~)
 Description: examples for the Python language (default version)
  Examples, Demos and Tools for Python. These are files included in
  the upstream Python distribution.
@@ -57,7 +57,7 @@
 Package: python-dev
 Architecture: any
 Multi-Arch: allowed
-Depends: ${misc:Depends}, python (= ${binary:Version}), libpython-dev (= ${binary:Version}), python2.7-dev (>= 2.7.3-10~)
+Depends: ${misc:Depends}, python (= ${binary:Version}), libpython-dev (= ${binary:Version}), python2.7-dev (>= 2.7.4-1~)
 Description: header files and a static library for Python (default)
  Header files, a static library and development tools for building
  Python modules, extending the Python interpreter or embedding Python
@@ -69,11 +69,23 @@
 Package: libpython-dev
 Architecture: any
 Multi-Arch: same
-Depends: libpython2.7-dev (>= 2.7.3-10~), ${misc:Depends}
+Depends: libpython2.7-dev (>= 2.7.4-1~), ${misc:Depends}
 Description: header files and a static library for Python (default)
  Header files, a static library and development tools for building
  Python modules, extending the Python interpreter or embedding Python
  in applications.
+ .
+ This package is a dependency package, which depends on Debian's default
+ Python version (currently v2.7).
+
+Package: libpython-stdlib
+Architecture: any
+Multi-Arch: same
+Depends: libpython2.7-stdlib (>= 2.7.4-1~), ${misc:Depends}
+Description: interactive high-level object-oriented language (default python version)
+ Python, the high-level, interactive object oriented language,
+ includes an extensive class library with lots of goodies for
+ network programming, system administration, sounds and graphics.
  .
  This package is a dependency package, which depends on Debian's default
  Python version (currently v2.7).
@@ -94,7 +106,7 @@
 Package: python-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}, python2.7-doc (>= 2.7.3-10~)
+Depends: ${misc:Depends}, python2.7-doc (>= 2.7.4-1~)
 Suggests: python-examples, python (= ${binary:Version})
 Breaks: python (<< 2.3.5)
 Replaces: python (<< 2.3.5)
@@ -121,8 +133,7 @@
 Multi-Arch: allowed
 Section: debug
 Priority: extra
-Depends: ${misc:Depends}, python (= ${binary:Version}), libpython-dbg (= ${binary:Version}), python2.7-dbg (>= 2.7.3-10~)
-Provides: python-gdbm-dbg, python-tk-dbg
+Depends: ${misc:Depends}, python (= ${binary:Version}), libpython-dbg (= ${binary:Version}), python2.7-dbg (>= 2.7.4-1~)
 Description: debug build of the Python Interpreter (version 2.7)
  Python interpreter configured with --pydebug. Dynamically loaded modules are
  searched in /usr/lib/python2.7/lib-dynload/debug first.
@@ -132,7 +143,7 @@
 Multi-Arch: same
 Section: debug
 Priority: extra
-Depends: libpython2.7-dbg (>= 2.7.3-10~), ${misc:Depends}
+Depends: libpython2.7-dbg (>= 2.7.4-1~), ${misc:Depends}
 Description: debug build of the Python Interpreter (version 2.7)
  Python interpreter configured with --pydebug. Dynamically loaded modules
  are searched in /usr/lib/python2.7/lib-dynload/debug first.

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 
 PREVVER	:= $(shell awk '/^python/ && NR > 1 {print substr($$2,2,length($$2)-2); exit}' debian/changelog)
 # first version with Multi-Arch: allowed
-PREVVER := 2.7.3-10~
+PREVVER := 2.7.4-1~
 
 PWD		:= $(shell pwd)
